<?php

function SGSR_home(){include 'Pages/activation.php';}
function SGSR_support() {include 'Pages/support.php';}
function SGSR_ManageSheets() {include 'Pages/manage_sheets.php';}
function SGSR_upgrade() {include 'Pages/pro.php';}

function SGSR_CSSJS() {

$page =  $_GET['page'];
$filter_w = ['MAINMENUSGSR','SGSR_ManageSheets','SGSR_upgrade','SupportSGSR'];
if(in_array($page, $filter_w)){}else{return 0;}


    wp_enqueue_style( 'sgsr-style1', plugins_url('CSS/style.css?v=7.2', __FILE__) );
    wp_enqueue_style( 'sgsr-style2', plugins_url('JS/tipx/jqu.css', __FILE__) );
    wp_enqueue_style( 'sgsr-style3', plugins_url('JS/tipx/style.css', __FILE__) );
    wp_enqueue_script( 'jquery-ui-tooltip' );

     wp_enqueue_script('sgsr-script4',plugins_url('JS/a81368914c.js', __FILE__)  );
     wp_enqueue_script('sgsr-script5',plugins_url('sgsr-admin.js', __FILE__),1 ,1,1 );
     wp_enqueue_script('sgsr-script6',plugins_url('JS/info.js', __FILE__),1 ,2,1 );
     wp_enqueue_script('sgsr-script7',plugins_url('JS/feedback.js', __FILE__),1 ,2,1 );
     wp_enqueue_script('sgsr-script8',plugins_url('JS/pages.js', __FILE__),1 ,2,1 );
     wp_enqueue_script('sgsr-script9',plugins_url('JS/ifresiz.js', __FILE__),1 ,2,1 );
     wp_enqueue_script('sgsr-script10',plugins_url('update/edit.js', __FILE__),1 ,2,1 );



}



function SGSR_createDB(){
global $wpdb;
$table_name = $wpdb->prefix . "stylish_gsr1";

if ( $wpdb->get_var("SHOW TABLES LIKE '{$table_name}'") != $table_name ) {

    $sql = "CREATE TABLE $table_name (
 NO INT(255) NOT NULL AUTO_INCREMENT PRIMARY KEY,
 `sheetId` VARCHAR(255) NULL,
 `sheetName` VARCHAR(255) NULL,
 `range` VARCHAR(255) NULL,
 `style` VARCHAR(255) NULL,
 `sorting` VARCHAR(255) NULL,
 `filtering` VARCHAR(255) NULL,
 `FixFirstCLM` VARCHAR(255) NULL,
 `Caption` VARCHAR(255) NULL

    );";

    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    dbDelta($sql);

}


}

function SGSR_DELDB(){

global $wpdb;
    $table_name = $wpdb->prefix . "stylish_gsr1";
     $sql = "DROP TABLE IF EXISTS $table_name";
     $wpdb->query($sql);

}


function SGSR_ADD($sheetId,$sheetName,$range,$style,$sorting,$filtering,$FixFirstCLM,$Caption){
    $sc = SGSR_GETC();
    if ($sc>=(1+1+1)){return 0;}
    global $wpdb;
    $table_name = $wpdb->prefix . "stylish_gsr1";

    $wpdb->insert($table_name, array(
    'sheetId' => trim($sheetId),
    'sheetName' => trim($sheetName),
    'range' => trim($range), 
    'style' => trim($style), 
    'sorting' => trim($sorting), 
    'filtering' => trim($filtering), 
    'FixFirstCLM' => trim($FixFirstCLM), 
    'Caption' => trim($Caption)

));
}


function SGSR_UPDATE($sheetId,$sheetName,$range,$style,$sorting,$filtering,$FixFirstCLM,$Caption,$NO){
    global $wpdb;
    $table_name = $wpdb->prefix . "stylish_gsr1";

    $wpdb->update($table_name, array(
    'sheetId' => trim($sheetId),
    'sheetName' => trim($sheetName),
    'range' => trim($range), 
    'style' => trim($style), 
    'sorting' => trim($sorting), 
    'filtering' => trim($filtering), 
    'FixFirstCLM' => trim($FixFirstCLM), 
    'Caption' => trim($Caption)
)

,array('NO'=> trim($NO))


);
}

function SGSR_DELETE($SGSR_index){

    global $wpdb;
    $table_name = $wpdb->prefix . "stylish_gsr1";
    $wpdb->delete( $table_name, array( 'NO' => $SGSR_index ) );

}

function SGSR_GETData($SGSR_index){
    global $wpdb;
    $table_name = $wpdb->prefix . "stylish_gsr1";
    $data =  $wpdb->get_row( "SELECT * FROM $table_name WHERE NO = '$SGSR_index'" );
     $data = json_decode(json_encode($data), true);
    // print_r($data);
    return $data;
}


function SGSR_ActivateStatus(){

//=========================================    
$wp_sta = 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
file_get_contents('https://wppluginbox.com/API/help/VS/?status=active&web='.$wp_sta);

}

function SGSR_DeactivateStatus(){
$wp_sta = 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
file_get_contents('https://wppluginbox.com/API/help/VS/?status=deactive&web='.$wp_sta);

}



function SGSR_menu() {
  

  add_menu_page ( 'Menu', 'Stylish Google Sheet Reader', 'manage_options', 'MAINMENUSGSR', 'SGSR_home', 'dashicons-table-col-before' );

  add_submenu_page ( 'MAINMENUSGSR', 'SGSR_ManageSheets', 'Manage Sheets', 'manage_options','SGSR_ManageSheets' ,'SGSR_ManageSheets', '');

  add_submenu_page ( 'MAINMENUSGSR', 'SGSR_upgrade', 'Upgrade to Pro', 'manage_options','SGSR_upgrade' ,'SGSR_upgrade', '');

  add_submenu_page ( 'MAINMENUSGSR', 'SupportSGSR', 'Support', 'manage_options','SupportSGSR' ,'SGSR_support', '');
  

}?>